Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: Can't install ATI Radeon HD 2600 driver on opensuse11.3 x86

  1. #1

    Default Can't install ATI Radeon HD 2600 driver on opensuse11.3 x86

    recently I have downloaded opensuse 11.3.tried to install latest version of graphic driver.but after uncompressing it says:

    ==================================================
    ATI Technologies Linux Driver Installer/Packager
    ==================================================
    which: no XFree86 in (/home/muhammad/bin:/usr/local/bin:/usr/bin:/sbin:/usr/sbin:/bin:/usr/bin/X11:/usr/X11R6/bin:/usr/games:/usr/lib/jvm/jre/bin)

    Error: ./default_policy.sh does not support version
    default:v2:i686:lib::none:2.6.34-12-desktop:; make sure that the version is being
    correctly set by --iscurrentdistro

    Removing temporary directory: fglrx-install.fvzKbN

    What is the problem?
    I have installed kernel sources,xorg x11 headers and gcc.

  2. #2
    Join Date
    Jul 2010
    Location
    42.147091,24.751114
    Posts
    21

    Default Re: Can't install ATI Radeon HD 2600 driver on opensuse11.3 x86

    Hi
    I'm just a n00b (so better don't trust me ) but I got this message yesterday and was wondering how to fix it. I read Catalyst installation instructions today and saw that required SW is:

    • XFree86-Mesa-libGL
    • libstdc++
    • libgcc
    • XFree86-libs
    • fontconfig
    • freetype
    • zlib
    • gcc

    Maybe installing XFree86 packages will fix it? I'm not at home right now so I'm not able to try it.

  3. #3

    Default Re: Can't install ATI Radeon HD 2600 driver on opensuse11.3 x86

    ATI says use X.Org or Xfree86 instead.
    By the way I couldn't find xfree86 in opensuse repositories.

  4. #4

    Default Re: Can't install ATI Radeon HD 2600 driver on opensuse11.3 x86

    can anybody help?
    It is making me angry...

  5. #5
    Join Date
    Jun 2008
    Location
    Syros, Greece
    Posts
    569

    Default Re: Can't install ATI Radeon HD 2600 driver on opensuse11.3 x86

    Do you realy need the flgrx driver? I have a HD4670 and i use the open source radeon driver without problems.

  6. #6

    Default Re: Can't install ATI Radeon HD 2600 driver on opensuse11.3 x86

    Where can I get that thing you say which can work for HD 2600 XT PCI-E ?
    I have downloaded one of flgrx drivers, but is not compatible with my card.

  7. #7
    Join Date
    Mar 2008
    Location
    Phuket, Thailand
    Posts
    26,567
    Blog Entries
    38

    Default Re: Can't install ATI Radeon HD 2600 driver on opensuse11.3 x86

    Quote Originally Posted by timmyturner View Post
    recently I have downloaded opensuse 11.3.tried to install latest version of graphic driver.
    ... can you please advise WHAT file you believe is the latest driver? Is this the ATI Catalyst™ Display Driver 10.7 or 10.6 that you tried with ?

  8. #8

    Default Re: Can't install ATI Radeon HD 2600 driver on opensuse11.3 x86

    When I have downloaded it, it was 10.6 .(after releasing opensuse 10.3 it was). unfortunately the next day of that day I saw they released a new version of it.(10.7)
    however this release I have is published after opensuse 10.3.

    Should I download 10.7?

  9. #9
    Join Date
    Jul 2008
    Location
    Wisconsin, USA
    Posts
    187

    Default Re: Can't install ATI Radeon HD 2600 driver on opensuse11.3 x86

    Quote Originally Posted by timmyturner View Post
    Should I download 10.7?
    Yes. Anything before 10.7 doesn't officially support openSUSE 11.3 (and most probably wouldn't work.)
    openSUSE 11.3 GM + M$ Win Vista HP TX1316au AMD Athlon 64 X2 Mobile TK-55, nVidia GeForce Go 6150

    openSUSE 11.3 GM + M$ Win 7 HP dm-3 AMD Neo X2 L335, ATI Mobility Radeon HD 3200

  10. #10

    Default Re: Can't install ATI Radeon HD 2600 driver on opensuse11.3 x86

    I have downloaded 10.7 and installed that. But when I wanna run amdcccle it shows this output:
    Code:
    Parse error on line 15 of section Screen in file /etc/X11/xorg.conf
            Unexpected EOF. Missing EndSection keyword?
    Parse error on line 15 of section Screen in file /etc/X11/xorg.conf
            Unexpected EOF. Missing EndSection keyword?
    Also desktop effects are disabled.
    This is my xorg.conf :
    Code:
    Section "ServerLayout"
    Identifier "LAYOUT0"
    Screen 0 "SCREEN0"
    Option "Xinerama" "on"
    EndSection
    
    Section "Screen"
    Identifier "SCREEN0"
    Device "DEVICE0"
    Monitor "MONITOR0"
    SubSection "Display"
    Depth 24
    Modes "1280x1024"
    Virtual 2224 1024
    EndSubSection
    EndSection

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •